Bug 309320 - Support contacts groups in Google Contacts resource
Summary: Support contacts groups in Google Contacts resource
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Unclassified
Component: Google Resource (show other bugs)
Version: 4.9
Platform: Ubuntu Packages Linux
: NOR wishlist with 6 votes (vote)
Target Milestone: 4.10
Assignee: Daniel Vrátil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-31 15:04 UTC by karaluh
Modified: 2013-02-28 12:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karaluh 2012-10-31 15:04:27 UTC
As in summary.

Reproducible: Always
Comment 1 Daniel Vrátil 2012-10-31 15:28:11 UTC
This requires a feature in Akonadi that will be available since KDE 4.10.

I expect to implement support for contact groups for KDE 4.10.
Comment 2 Daniel Vrátil 2013-02-28 12:53:13 UTC
Git commit dc1d1e496990b7b65fb422f71bfe82ac751a93e4 by Dan Vrátil.
Committed on 28/02/2013 at 13:19.
Pushed by dvratil into branch 'master'.

Port Akonadi resources for Google services to LibKGAPI2

Resources now use the new job-based API, which is more
flexible and solves many problems that were very hard
to fix with the previous API.

Lot of duplicated code has been factored out and moved
to /resources/google/common.

Featurewise, Google Contacts resources now fully supports
contacts groups and fetching contacts photos has been
notably improved, Google Calendar resource has improved
tasks handling and both resources have better status and
progress reporting and should be faster and more stable.
Related: bug 301647, bug 310741, bug 313368, bug 281695, bug 294639

FIXED-IN: 4.11

DIGEST:

M  +1    -1    CMakeLists.txt
M  +1    -1    resources/google/CMakeLists.txt
M  +5    -10   resources/google/calendar/CMakeLists.txt
D  +0    -102  resources/google/calendar/calendareditor.cpp
D  +0    -55   resources/google/calendar/calendareditor.h
M  +616  -519  resources/google/calendar/calendarresource.cpp
M  +35   -78   resources/google/calendar/calendarresource.h
M  +57   -50   resources/google/calendar/defaultreminderattribute.cpp
M  +17   -20   resources/google/calendar/defaultreminderattribute.h
D  +0    -298  resources/google/calendar/resource_events.cpp
M  +0    -166  resources/google/calendar/resource_tasks.cpp
M  +2    -22   resources/google/calendar/settings.cpp
M  +3    -23   resources/google/calendar/settings.h
M  +128  -731  resources/google/calendar/settingsdialog.cpp
M  +18   -51   resources/google/calendar/settingsdialog.h
D  +0    -52   resources/google/calendar/tasklisteditor.cpp
D  +0    -49   resources/google/calendar/tasklisteditor.h
D  +0    -128  resources/google/calendar/ui/calendar_editor.ui
D  +0    -204  resources/google/calendar/ui/settingsdialog.ui
D  +0    -85   resources/google/calendar/ui/tasklist_editor.ui
A  +244  -0    resources/google/common/googleaccountmanager.cpp     [License: GPL (v2+)]
A  +67   -0    resources/google/common/googleaccountmanager.h     [License: GPL (v2+)]
A  +275  -0    resources/google/common/googleresource.cpp     [License: GPL (v3+)]
A  +109  -0    resources/google/common/googleresource.h     [License: GPL (v3+)]
A  +55   -0    resources/google/common/googlesettings.cpp     [License: GPL (v3+)]
A  +58   -0    resources/google/common/googlesettings.h     [License: GPL (v3+)]
A  +213  -0    resources/google/common/googlesettingsdialog.cpp     [License: GPL (v3+)]
A  +77   -0    resources/google/common/googlesettingsdialog.h     [License: GPL (v3+)]
M  +4    -2    resources/google/contacts/CMakeLists.txt
M  +373  -593  resources/google/contacts/contactsresource.cpp
M  +31   -69   resources/google/contacts/contactsresource.h
M  +3    -24   resources/google/contacts/settings.cpp
M  +3    -23   resources/google/contacts/settings.h
M  +19   -128  resources/google/contacts/settingsdialog.cpp
M  +5    -23   resources/google/contacts/settingsdialog.h
D  +0    -38   resources/google/contacts/ui/groupeditor.ui
D  +0    -61   resources/google/contacts/ui/settingsdialog.ui

http://commits.kde.org/kdepim-runtime/dc1d1e496990b7b65fb422f71bfe82ac751a93e4